Bug 1444002 - There is no information about the image and log location.
Summary: There is no information about the image and log location.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mediawriter
Version: 26
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-20 12:04 UTC by Peter Kotvan
Modified: 2017-06-09 19:01 UTC (History)
1 user (show)

Fixed In Version: mediawriter-4.1.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 19:01:54 UTC


Attachments (Terms of Use)

Description Peter Kotvan 2017-04-20 12:04:03 UTC
Description of problem:
Fedora Media Writer saves the log into the ~/Documents folder and the downloaded images also remain on the filesystem after the download and write is completed.

There should be an information about the location of these files. Moreover user should be informed that the image with the size probably over 1G will be left on his machine.

The solution could be to include a checkbox that would indicate if the image should be deleted after the media is prepared.

Version-Release number of selected component (if applicable):
mediawriter-4.0.95-1.fc26.x86_64

Actual results:
There is no information about the log and the images stored on local hard drive.

Expected results:
Include info about the files left on the local storage before exiting. Ideally let the user choose if they should be deleted or not.

Comment 1 Martin Bříza 2017-04-20 13:02:59 UTC
Well while I consider cluttering the UI with additional messages a bit inconvenient, I agree that the option to delete the file afterwards would be a useful addition. 
I think I'll modify the final buttons, one to just close the dialog and the other one to close the dialog and also delete the file.

Regarding the log, I'm still a bit undecided as to where to store it and how to point the user to it. It is obviously something that should be used only in case of a bug so storing it to Documents is an unfortunate decision, however pointing the user to the temp folder on Windows is pretty hard...

Comment 2 Martin Bříza 2017-04-25 10:08:41 UTC
Image location is included now. Erasing the image after writing is possible too.
Regarding the logs, I have an idea how to provide them in a cleaner fashion, I just need to implement it first.

Comment 3 Fedora Update System 2017-05-18 14:50:29 UTC
mediawriter-4.1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-729cc5d719

Comment 4 Fedora Update System 2017-05-19 21:09:35 UTC
mediawriter-4.1.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-729cc5d719

Comment 5 Fedora Update System 2017-06-09 19:01:54 UTC
mediawriter-4.1.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.